불완전한 모델 체인
API는 이 문제가 발생하면 422 Unprocessable Content 응답을 반환합니다. 이 응답의 type는 https://lingo.dev/docs/api/errors/model-chain-incomplete입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.
<sourceLocale>→<targetLocale> 체인의 순서를 변경할 수 없습니다. 요청에는 해당 체인의 모든 모델 설정을 정확히 한 번씩 나열해야 하며, 체인에 없는 설정은 포함하면 안 됩니다. 먼저 체인을 조회한 다음, 체인에 포함된 식별자를 다시 보내세요.
필드#
본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 바꿔 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
sourceLocale | string |
targetLocale | string |
예시#
json
{
"detail": "Cannot reorder the <sourceLocale>→<targetLocale> chain. The request must list every model config in that chain exactly once, and nothing outside it. Read the chain first and send back the ids it holds.",
"sourceLocale": "<sourceLocale>",
"targetLocale": "<targetLocale>",
"type": "https://lingo.dev/docs/api/errors/model-chain-incomplete",
"status": 422,
"title": "Model chain incomplete"
}이 오류를 반환하는 엔드포인트#
PUT /v2/engines/{engineId}/model-configs/order